Class | Fog::Storage::IBM::Volume
In: | lib/fog/ibm/models/storage/volume.rb
Parent: | Fog::Model

### Methods

attach attached? created_at destroy detach instance location ready? save state

### Constants

STATES | = | { 0 => 'New', 1 => 'Creating', 2 => 'Deleting', 3 => 'Deleted', 4 => 'Detached', 5 => 'Attached', 6 => 'Failed', 7 => 'Deletion pending', 8 => 'Being cloned', 9 => 'Cloning', 10 => 'Attaching', 11 => 'Detaching', 12 => 'Copying', 13 => 'Importing', 14 => 'Transfer retrying', }

### Public Instance methods

attach(instance_id)
attached?()
created_at()
destroy()
detach(instance_id)
instance()
location()
ready?()

Are we ready to be attached to an instance?

save()
state()

[Validate]